From ladis@linux-mips.org Tue May 10 05:13:13 2005
Date: Tue, 10 May 2005 14:08:04 +0200
From: Ladislav Michl <ladis@linux-mips.org>
To: Greg KH <greg@kroah.com>, Jean Delvare <khali@linux-fr.org>
Cc: James Chapman <jchapman@katalix.com>
Subject: [PATCH] ds1337 driver works also with ds1339 chip
Message-ID: <20050510120804.GA2492@orphique>

On Wed, May 04, 2005 at 12:07:11PM +0200, Jean Delvare wrote:
> Additionally, I would welcome an additional patch documenting the fact
> that the ds1337 driver will work fine with the Dallas DS1339 real-time
> clock chip.

Document the fact that ds1337 driver works also with DS1339 real-time
clock chip.

Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/i2c/chips/Kconfig  |    4 ++--
 drivers/i2c/chips/ds1337.c |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

--- gregkh-2.6.orig/drivers/i2c/chips/Kconfig	2005-05-10 14:15:07.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/Kconfig	2005-05-10 14:15:07.000000000 -0700
@@ -379,12 +379,12 @@
 	depends on I2C
 
 config SENSORS_DS1337
-	tristate "Dallas Semiconductor DS1337 Real Time Clock"
+	tristate "Dallas Semiconductor DS1337 and DS1339 Real Time Clock"
 	depends on I2C && EXPERIMENTAL
 	select I2C_SENSOR
 	help
 	  If you say yes here you get support for Dallas Semiconductor
-	  DS1337 real-time clock chips. 
+	  DS1337 and DS1339 real-time clock chips.
 
 	  This driver can also be built as a module.  If so, the module
 	  will be called ds1337.
--- gregkh-2.6.orig/drivers/i2c/chips/ds1337.c	2005-05-10 14:15:07.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/ds1337.c	2005-05-10 14:15:07.000000000 -0700
@@ -10,7 +10,7 @@
  * it under the terms of the GNU General Public License version 2 as
  * published by the Free Software Foundation.
  *
- * Driver for Dallas Semiconductor DS1337 real time clock chip
+ * Driver for Dallas Semiconductor DS1337 and DS1339 real time clock chip
  */
 
 #include <linux/config.h>
